CVE-2014-9066

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2014-9066
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2014-9066.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2014-9066
Published
2014-12-09T23:59:09Z
Modified
2024-06-30T12:30:41.278433Z
Summary
[none]
Details

Xen 4.4.x and earlier, when using a large number of VCPUs, does not properly handle read and write locks, which allows local x86 guest users to cause a denial of service (write denial or NMI watchdog timeout and host crash) via a large number of read requests, a different vulnerability than CVE-2014-9065.

References

Affected packages

Debian:11 / xen

Package

Name
xen
Purl
pkg:deb/debian/xen?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected

Affected versions

4.*

4.14.2+25-gb6a8c4f72d-2
4.14.3-1~deb11u1
4.14.3-1
4.14.3+32-g9de3671772-1~deb11u1
4.14.3+32-g9de3671772-1
4.14.4+74-gd7b22226b5-1
4.14.5+24-g87d90d511c-1
4.14.5+86-g1c354767d5-1
4.14.5+94-ge49571868d-1
4.14.6-1
4.16.0-1~exp1
4.16.0+51-g0941d6cb-1
4.16.1-1
4.16.2-1
4.16.2-2
4.16.2+90-g0d39a6d1ae-1
4.17.0~rc4-1~exp1
4.17.0-1
4.17.0+24-g2f8851c37f-2~exp1
4.17.0+24-g2f8851c37f-2
4.17.0+46-gaaf74a532c-1
4.17.0+74-g3eac216e6e-1
4.17.1+2-gb773c48e36-1
4.17.2-1
4.17.2+55-g0b56bed864-1
4.17.2+76-ge1f9cb16e2-1~deb12u1
4.17.2+76-ge1f9cb16e2-1
4.17.3+10-g091466ba55-1~deb12u1
4.17.3+10-g091466ba55-1
4.17.3+10-g091466ba55-1.1~exp1
4.17.3+10-g091466ba55-1.1~exp2
4.17.3+10-g091466ba55-1.1
4.17.3+36-g54dacb5c02-1

Ecosystem specific

{
    "urgency": "unimportant"
}

Debian:12 / xen

Package

Name
xen
Purl
pkg:deb/debian/xen?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected

Affected versions

4.*

4.17.1+2-gb773c48e36-1
4.17.2-1
4.17.2+55-g0b56bed864-1
4.17.2+76-ge1f9cb16e2-1~deb12u1
4.17.2+76-ge1f9cb16e2-1
4.17.3+10-g091466ba55-1~deb12u1
4.17.3+10-g091466ba55-1
4.17.3+10-g091466ba55-1.1~exp1
4.17.3+10-g091466ba55-1.1~exp2
4.17.3+10-g091466ba55-1.1
4.17.3+36-g54dacb5c02-1

Ecosystem specific

{
    "urgency": "unimportant"
}

Debian:13 / xen

Package

Name
xen
Purl
pkg:deb/debian/xen?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected

Affected versions

4.*

4.17.1+2-gb773c48e36-1
4.17.2-1
4.17.2+55-g0b56bed864-1
4.17.2+76-ge1f9cb16e2-1~deb12u1
4.17.2+76-ge1f9cb16e2-1
4.17.3+10-g091466ba55-1~deb12u1
4.17.3+10-g091466ba55-1
4.17.3+10-g091466ba55-1.1~exp1
4.17.3+10-g091466ba55-1.1~exp2
4.17.3+10-g091466ba55-1.1
4.17.3+36-g54dacb5c02-1

Ecosystem specific

{
    "urgency": "unimportant"
}